This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 397971 - libccp.so is looked for in the wrong location
libccp.so is looked for in the wrong location
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: compiz-manager (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Sebastian Vahl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-24 14:04 EST by Ferry Huberts
Modified: 2008-01-17 17:05 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-17 17:05:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ferry Huberts 2007-11-24 14:04:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.9) Gecko/20071105 Fedora/2.0.0.9-1.fc7 Firefox/2.0.0.9

Description of problem:
When starting compiz-manager it looks for the libccp.so library in the wrong location. Either the library is installed in the wrong location or the script is wrong about the location, I have assumed the latter.

Version-Release number of selected component (if applicable):
0.6.0-3

How reproducible:
Always


Steps to Reproduce:
1. from a terminal start compiz-manager


Actual Results:
it reports that it can not load the libccp.so library

Expected Results:
no such report should be seen

Additional info:
Solution:
  ln -s /usr/lib64/compiz/libccp.so /usr/lib64/compizconfig/backends/
Comment 1 Sebastian Vahl 2007-11-25 14:25:18 EST
compiz-manager is searching for libccp.so in /usr/lib64/compiz/ (for x86_64).
libcompizfconfig place the file there, so it should be found. Could you please
attach a full terminal output here?
Comment 2 Ferry Huberts 2007-11-25 14:57:21 EST
well obviously it is looking for the library in
/usr/lib64/compizconfig/backends/, otherwise I would not have had to create the
link there would I? :-)
If you still want the output let me know
Comment 3 Sebastian Vahl 2007-11-25 17:33:42 EST
from /usr/bin/compiz-manager:
PLUGIN_PATH="/usr/$ARCH_LIB/compiz/"

if [ -f ${PLUGIN_PATH}libccp.so ]; then
        COMPIZ_PLUGINS="$COMPIZ_PLUGINS ccp"
elif [ -f ${PLUGIN_PATH}libgconf.so ]; then
        COMPIZ_PLUGINS="$COMPIZ_PLUGINS glib gconf"
fi

So compiz-manager is searching in /usr/lib64/compiz. I assume that's 
libcompizcompig that is searching in /usr/lib64/compizconfig/backends. But 
that happens _after_ compiz-manager has started compiz.
Comment 4 Sebastian Vahl 2007-12-02 09:22:30 EST
(In reply to comment #2)
> If you still want the output let me know

Yes, please attach the output.

Comment 5 Matěj Cepl 2008-01-17 07:59:53 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 6 Ferry Huberts 2008-01-17 16:01:44 EST
tried it and can not reproduce the problem.
I'm now using the following *compiz* packages:
compiz.x86_64                            0.6.2-3.fc8            installed       
compiz-bcop.noarch                       0.6.0-1.fc8            installed       
compiz-fusion.x86_64                     0.6.0-12.fc8           installed       
compiz-fusion-extras.x86_64              0.6.0-1.fc8            installed       
compiz-fusion-extras-gnome.x86_64        0.6.0-1.fc8            installed       
compiz-fusion-gnome.x86_64               0.6.0-12.fc8           installed       
compiz-gnome.x86_64                      0.6.2-3.fc8            installed       
compiz-manager.noarch                    0.6.0-4.fc8            installed       
compizconfig-python.x86_64               0.6.0.1-2.fc8          installed       
gnome-compiz-manager.x86_64              0.10.4-3.fc8           installed       
gnome-compiz-manager.i386                0.10.4-3.fc8           installed       
libcompizconfig.x86_64                   0.6.0-3.fc8            installed       
Comment 7 Sebastian Vahl 2008-01-17 17:05:55 EST
(In reply to comment #6)
> tried it and can not reproduce the problem.

Ok. I'm closing this bug as CANTFIX then, because there is nothing I could 
fix. :) 
(And I'm still not sure if this was a compiz-manager problem or rather a 
gnome-compiz-manager problem.)

Note You need to log in before you can comment on or make changes to this bug.